Bug 172817 - util-linux - manpage for 'mount' appears to make incorrect claims
util-linux - manpage for 'mount' appears to make incorrect claims
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-09 19:54 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 10:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-11-09 19:54:17 EST
Description of problem:

With 'man mount' one can read this:
.....

       -t vfstype
              The argument following the -t is used to indicate the file  sys-
              tem  type.   The file system types which are currently supported
              include: adfs, affs, autofs, coda,  coherent,  cramfs,  debugfs,
              devpts,  efs,  ext,  ext2, ext3, hfs, hpfs, .....
.....

The further lecture of this page indicates that this is not 'autofs'
(which does not have anything to do with things provided by 'autofs' package)
but 'auto' and that indeed is used, say, in /etc/fstab.

Also 'hpfs' file system does not seem to be there; but there is, and it works,
'hfsplus' not mentioned by this documentation.  This is a file system used
by OSX.

Version-Release number of selected component (if applicable):
util-linux-2.13-0.5.pre4
Comment 1 Karel Zak 2005-11-25 02:26:30 EST
There's "autofs" filesystem:

  # cat /proc/filesystems | grep autofs
  nodev   autofs
Comment 2 Michal Jaegermann 2005-11-25 10:54:20 EST
> There's "autofs" filesystem:

Yes, you are right.  For some reasons when I was looking at /prof/filesystems
on rawhide I missed it (or it was not there at that moment) and I assumed that
it is gone.

Still 'man mount' describing '-t auto' behaviour says

              ....   All  of  the filesystem types
              listed there will be tried, except for those that  are  labeled
              "nodev" ...

and this particular one happens to be "nodev"; while 'auto' type does not
show up on a list of acceptable ones but is only  mentioned later on in
sentences like "The auto type may be useful for user-mounted floppies".

Is there any situation when it makes sense to use 'mount -t autofs ...'
in an explicit way?  Yes, I know that autofs daemon is using that type.
Comment 3 Karel Zak 2006-08-21 10:15:04 EDT
The mount uses libblkid for filesystem detection in case "-t auto" or in case
you run it without "-t". It tries filesystems from /proc/filesystems when the
all others possibilities failed (= very exotic filesystem).

The "autofs" is really for automounter only.

I think the man page is useful enough. Closing.

Note You need to log in before you can comment on or make changes to this bug.